# File rocrand_threefry_common.h

## Definition (`library/include/rocrand/rocrand_threefry_common.h`)

- Program Listing for File rocrand_threefry_common.h

## Includes

- `rocrand/rocrand_common.h` (File rocrand_common.h)

## Included By

- File rocrand_threefry2_impl.h

- File rocrand_threefry4_impl.h

## Namespaces

- Namespace rocrand_device

## Functions

- Template Function rocrand_device::rotl

- Template Function rocrand_device::skein_ks_parity

## Defines

- Define FQUALIFIERS

- Define SKEIN_KS_PARITY32

- Define SKEIN_KS_PARITY64

- Define SKEIN_MK_64